# Uses of Interface
javax.xml.crypto.dsig.Reference

Packages that use Reference
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of Reference in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return Reference
Modifier and Type
Method
Description
`abstract Reference`
XMLSignatureFactory.`newReference(String uri, DigestMethod dm)`
Creates a `Reference` with the specified URI and digest method.
`abstract Reference`
XMLSignatureFactory.`newReference(String uri, DigestMethod dm, List<? extends Transform> transforms, String type, String id)`
Creates a `Reference` with the specified parameters.
`abstract Reference`
XMLSignatureFactory.`newReference(String uri, DigestMethod dm, List<? extends Transform> transforms, String type, String id, byte[] digestValue)`
Creates a `Reference` with the specified parameters and pre-calculated digest value.
`abstract Reference`
XMLSignatureFactory.`newReference(String uri, DigestMethod dm, List<? extends Transform> appliedTransforms, Data result, List<? extends Transform> transforms, String type, String id)`
Creates a `Reference` with the specified parameters.
Methods in javax.xml.crypto.dsig that return types with arguments of type Reference
Modifier and Type
Method
Description
`List<Reference>`
Manifest.`getReferences()`
Returns an `unmodifiable list` of one or more `Reference`s that are contained in this `Manifest`.
`List<Reference>`
SignedInfo.`getReferences()`
Returns an `unmodifiable list` of one or more `Reference`s.
Method parameters in javax.xml.crypto.dsig with type arguments of type Reference
Modifier and Type
Method
Description
`abstract Manifest`
XMLSignatureFactory.`newManifest(List<? extends Reference> references)`
Creates a `Manifest` containing the specified list of `Reference`s.
`abstract Manifest`
XMLSignatureFactory.`newManifest(List<? extends Reference> references, String id)`
Creates a `Manifest` containing the specified list of `Reference`s and optional id.
`abstract SignedInfo`
XMLSignatureFactory.`newSignedInfo(CanonicalizationMethod cm, SignatureMethod sm, List<? extends Reference> references)`
Creates a `SignedInfo` with the specified canonicalization and signature methods, and list of one or more references.
`abstract SignedInfo`
XMLSignatureFactory.`newSignedInfo(CanonicalizationMethod cm, SignatureMethod sm, List<? extends Reference> references, String id)`
Creates a `SignedInfo` with the specified parameters.